/* Importar a fonte Chango do Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Chango:wght@400&display=swap');

/* Reset de margens e preenchimentos e box-sizing para todos os elementos */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Estilos para o header */
header {
  background-color: black;
  display: flex;
  justify-content: space-between;
  padding: 10px 10px;
  align-items: center;
  text-shadow: 2px 2px 4px rgba(194, 174, 174, 0.5);
  font-weight: bold;
}

/* Estilos para o logo */
.logo {
  display: flex;
  align-items: center;
}

.logo h2 {
  margin-top: 10px;
  font-size: 36px;
  color: white;
  margin-left: 20px;
  font-family: 'Chango', sans-serif; 
}

.logo img {
  width: 105px;
  height: 97px;
  margin-left: 10px;
}

/* Estilos para o menu */
.menu ul {
  display: flex;
}

.menu ul li {
  margin-right: 20px;
}

.menu ul li a {
  font-family: 'Chango', sans-serif; 
  letter-spacing: 1.5px;
  text-decoration: none;
  font-size: 20px;
  color: white;
  text-shadow: 2px 2px 4px rgba(194, 174, 174, 0.5);
  font-weight: bold;
}

.menu a {
    text-decoration: none;
    color: white;
    font-family: 'Chango', sans-serif;
    transition: color 0.3s ease, transform 0.3s ease;
  }
  
  /* Estilo ao passar o mouse */
  .menu a:hover {
    color: #D2B48C;  
    transform: scale(1.1); /* Aumenta o tamanho do texto em 10% */
  }

/* ------------------------------------------*/

.interface{
    width: 100%;
    padding: 5px 170px;
    background-color: #ba936b;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cardapio{
    text-align: center;
}

.cardapio h2{
    font-family: 'Chango', sans-serif;
    font-size: 25px;
    text-transform: uppercase;
    border-bottom: 2px solid black;
}

.cardapio img{
    margin-top: 15px;
    width: 400px;
    height: 255px;
    border-radius: 10px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.4);
}

.area_pet img{
    width: 500px;
}

.espaco{
    text-align: center;
}

.espaco h2{
    font-family: 'Chango', sans-serif;
    font-size: 25px;
    text-transform: uppercase;
    border-bottom: 2px solid black;
}

.espaco img{
    margin-top: 15px;
    width: 400px;
    height: 255px;
    border-radius: 10px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.4);
}

button:hover {
    background-color: #444;
  }
  
  footer {
    background-color: black;
    position: relative;
    padding: 10px 0;
    color: white;
    text-align: center;
    font-family: 'Chango', sans-serif;
    z-index: 1;
  }
  
  footer::before {
    content: '';
    position: absolute;
    top: -30px;
    left: 0;
    width: 100%;
    height: 80px;
    background-size: 40px 80px;
    z-index: 0;
  }
  
  footer .info {
    position: relative;
    z-index: 1;
  }
  
  footer a{
    color: #fdf5e6;
    font-size: 15px;
    font-family: 'Chango', sans-serif;
}

footer a:hover{
    color: #ba936b;
}

.redes{
    display: flex;
    font-size: 15px;
    justify-content: center
}

.produtos {
  background-color: #FFF5E2;
  text-align: center;
}

.produtos h2 {
  font-size: 25px;
  background-color: black;
  width: 300px;
  margin: 0 auto;
  color: white;
  font-family: 'Chango', sans-serif;
  text-transform: uppercase;
}

.grid {
  margin-top: 50px;
  display: grid;
  grid-template-columns: repeat(4, 1fr); /* Alterado para 3 colunas */
  gap: 25px;
  justify-items: center; /* Alinha os itens ao centro */
}

.grid .item img {
  width: 80%; /* Aumentar a largura para uma apresentação mais uniforme */
  height: auto;
  border-radius: 20px;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.4);
}

.grid .item p {
  font-family: 'Chango', sans-serif;
  font-size: 18px;
  color: black;
  text-align: center; /* Centralizar o texto */
  font-size: 25px;
}

/* Estilo normal do link */
h2 a {
    text-decoration: none;
    color: white;
    font-family: 'Chango', sans-serif;
    transition: color 0.3s ease, transform 0.3s ease;
  }
  
  /* Estilo ao passar o mouse */
  h2 a:hover {
    color: #D2B48C;  
    transform: scale(1.1); /* Aumenta o tamanho do texto em 10% */
  }


  .gato-sobre-nos {
    position: relative;
    display: inline-block;
    text-align: center;
    margin-top: 20px;
}

.gato-sobre-nos img {
    width: 500px; /* ajuste o tamanho conforme necessário */
    height: auto;
}

.gato-sobre-nos span {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-family: 'Chango', sans-serif;
    font-size: 32px;
    color: white;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.cardapio img {
  transition: transform 0.3s ease; 
}

.cardapio img:hover {
  transform: scale(1.1);
}

.espaco img {
  transition: transform 0.3s ease; 
}

.espaco img:hover {
  transform: scale(1.1);
}

.item img {
  transition: transform 0.3s ease; 
}

.item img:hover {
  transform: scale(1.1);
}